DocTest : Mono.DocTest.Generic Namespace

# Extensions Class

extension methods!

## Syntax

public static class Extensions

## Remarks

`T:Mono.DocTest.Generic.Extensions`

## Requirements

Namespace: Mono.DocTest.Generic
Assembly: DocTest (in DocTest.dll)
Assembly Versions: 0.0.0.0

## Members

See Also: Inherited members from object.

## Public Methods

static

Bar<T> (this IFoo<T>, string)

> Mono.DocTest.Generic.IFoo`1 extension method

static

ForEach<T> (this IEnumerable<T>, Action<T>)

> IEnumerable`1 extension method

static

ToDouble (this IEnumerable<int>) : IEnumerable<double>

> IEnumerable<int> extension method.

static

ToDouble<T> (this T) : double

> Mono.DocTest.Generic.IFoo`1 extension method.

static

ToEnumerable<T> (this T) : IEnumerable<T>

> `System.Object` extension method

## Member Details

### Bar<T> Generic Method

> Mono.DocTest.Generic.IFoo`1 extension method

> ## Syntax

> public static void Bar<T> (this IFoo<T> self, string s)

> #### Type Parameters

> > T
> >   Documentation for this section has not yet been entered.

> #### Parameters

> > self
> >   Documentation for this section has not yet been entered.
> > s
> >   Documentation for this section has not yet been entered.

> ## Remarks

> `M:Mono.DocTest.Generic.Extensions.Bar``1`

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### ForEach<T> Generic Method

> IEnumerable`1 extension method

> ## Syntax

> public static void ForEach<T> (this IEnumerable<T> self, Action<T> a)

> #### Type Parameters

> > T
> >   Documentation for this section has not yet been entered.

> #### Parameters

> > self
> >   Documentation for this section has not yet been entered.
> > a
> >   Documentation for this section has not yet been entered.

> ## Remarks

> `M:Mono.DocTest.Generic.Extensions.ForEach``1`

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### ToDouble Method

> IEnumerable<int> extension method.

> ## Syntax

> public static IEnumerable<double> ToDouble (this IEnumerable<int> list)

> #### Parameters

> > list
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> `M:Mono.DocTest.Generic.Extensions.ToDouble`

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### ToDouble<T> Generic Method

> Mono.DocTest.Generic.IFoo`1 extension method.

> ## Syntax

> public static double ToDouble<T> (this T val)
> where T : Mono.DocTest.Generic.IFoo<T>

> #### Type Parameters

> > T
> >   Documentation for this section has not yet been entered.

> #### Parameters

> > val
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> `M:Mono.DocTest.Generic.Extensions.ToDouble`

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### ToEnumerable<T> Generic Method

> `System.Object` extension method

> ## Syntax

> public static IEnumerable<T> ToEnumerable<T> (this T self)

> #### Type Parameters

> > T
> >   Documentation for this section has not yet been entered.

> #### Parameters

> > self
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> `M:Mono.DocTest.Generic.Extensions.ToEnumerable``1`

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0